"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.openIdCredentialIssuerEntityMetadata = void 0;
const zod_1 = require("zod");
const utils_1 = require("./utils");
/**
 *
 * {@link https://openid.github.io/federation-wallet/main.html#name-wallet-architecture-entity- | OpenID Credential Issuer}
 *
 */
exports.openIdCredentialIssuerEntityMetadata = (0, utils_1.createEntity)({
    identifier: 'openid_credential_issuer',
    passThroughUnknownProperties: true,
    additionalValidation: {
        client_registration_types_supported: zod_1.z.array(zod_1.z.union([zod_1.z.literal('automatic'), zod_1.z.literal('explicit')])),
        federation_registration_endpoint: zod_1.z.string().url().optional(),
        request_authentication_methods_supported: zod_1.z
            .object({
            authorization_endpoint: zod_1.z.array(zod_1.z.string()).optional(),
            pushed_authorization_request_endpoint: zod_1.z.array(zod_1.z.string()).optional(),
        })
            .optional(),
        request_authentication_signing_alg_values_supported: zod_1.z.array(zod_1.z.string()).optional(),
    },
});
//# sourceMappingURL=openIdCredentialIssuer.js.map