"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.openidCredentialVerifierEntityMetadata = void 0;
const zod_1 = require("zod");
const utils_1 = require("./utils");
/**
 *
 * {@link https://openid.github.io/federation-wallet/main.html#name-wallet-architecture-entity- | OpenID Credential Verifier }
 *
 */
exports.openidCredentialVerifierEntityMetadata = (0, utils_1.createEntity)({
    identifier: 'openid_credential_verifier',
    passThroughUnknownProperties: true,
    additionalValidation: {
        client_registration_types: zod_1.z.array(zod_1.z.union([zod_1.z.literal('automatic'), zod_1.z.literal('explicit')])),
    },
});
//# sourceMappingURL=openIdCredentialVerifier.js.map