"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createEntity = void 0;
const common_1 = require("../../common");
const operator_1 = require("../../operator");
const policy_1 = require("../../policy");
const createEntity = ({ identifier, additionalValidation = {}, passThroughUnknownProperties = false, }) => {
    const schema = common_1.commonMetadataSchema.extend(additionalValidation);
    return {
        identifier,
        schema: passThroughUnknownProperties ? schema.passthrough() : schema,
        policySchema: (0, operator_1.swapValidators)(schema, policy_1.metadataPolicySchema.optional()),
    };
};
exports.createEntity = createEntity;
//# sourceMappingURL=createEntity.js.map